import numpy as np
from matplotlib import pyplot as plt

data = (30,20,10,32,43,23,54,32,23,54,22,12,60,45,67,54,87,98,67,65,35,65,20,30,30,22,54,67,87,89,76,87,69,76,12,21,34,23,43,53,65,76,87,89,90,12,45,65,76,89,90) 

# fixed bin size
bins = np.arange(-100, 100, 3) # fixed bin size

plt.xlim([min(data)-5, max(data)+5])

plt.hist(data, bins=bins, alpha=0.5)
plt.title('Histogram')
plt.xlabel('variable X (bin size = 3)')
plt.ylabel('count')

plt.show()